/* 2000-2003 IVB          */
/* functions in conceal.c */

float select (int k, int n, float *arr);
float scalar_median (int n, float *arr);

/* ----- new ----- */
float weighted_mean (int n, float *arr, double *weight);
float weighted_median (int n, float *arr, float *weight);
float huber(float x, float g);
float map_est0(float *nbhd, int *available, double *b);
float map_est1(float *nbhd, int *available, double *b, float *gam);
